public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam Jorna" <wraeth@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/geos/, sci-libs/geos/files/
Date: Wed, 23 Mar 2016 05:44:18 +0000 (UTC)	[thread overview]
Message-ID: <1458711819.01118e42ad7f531ffa1d85770fc9eb727b9918ea.wraeth@gentoo> (raw)

commit:     01118e42ad7f531ffa1d85770fc9eb727b9918ea
Author:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 23 05:40:44 2016 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Wed Mar 23 05:43:39 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01118e42

sci-libs/geos: add python setup, fix php support

This adds python package setup per request, also fixes PHP support
and restricts building against php-7 while unsupported.

Gentoo-bug: 576436
Package-Manager: portage-2.2.28
Signed-off-by: Sam Jorna <wraeth <AT> gentoo.org>

 .../geos/files/geos-3.5.0-phpconfig-path.patch     | 29 +++++++
 sci-libs/geos/geos-3.5.0-r1.ebuild                 | 98 ++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/sci-libs/geos/files/geos-3.5.0-phpconfig-path.patch b/sci-libs/geos/files/geos-3.5.0-phpconfig-path.patch
new file mode 100644
index 0000000..b44eb9d
--- /dev/null
+++ b/sci-libs/geos/files/geos-3.5.0-phpconfig-path.patch
@@ -0,0 +1,29 @@
+diff --git a/php/Makefile.am b/php/Makefile.am
+index 5b50c0f..fad05c0 100644
+--- a/php/Makefile.am
++++ b/php/Makefile.am
+@@ -56,7 +56,7 @@ geos_la_CPPFLAGS = $(AM_CPPFLAGS) \
+ 	-I$(top_srcdir)/include
+ 
+ install: all
+-	$(INSTALL) -d "$(DESTDIR)"/`$(PHP_CONFIG) --extension-dir`
+-	$(INSTALL) -m 755 .libs/geos.so "$(DESTDIR)"/`php-config --extension-dir`
++	$(INSTALL) -d "$(DESTDIR)"`$(PHP_CONFIG) --extension-dir`
++	$(INSTALL) -m 755 .libs/geos.so "$(DESTDIR)"`$(PHP_CONFIG) --extension-dir`
+ 
+ endif
+diff --git a/php/Makefile.in b/php/Makefile.in
+index d8c343e..9485d0d 100644
+--- a/php/Makefile.in
++++ b/php/Makefile.in
+@@ -877,8 +877,8 @@ uninstall-am: uninstall-pkglibLTLIBRARIES
+ 
+ 
+ @ENABLE_PHP_TRUE@install: all
+-@ENABLE_PHP_TRUE@	$(INSTALL) -d "$(DESTDIR)"/`$(PHP_CONFIG) --extension-dir`
+-@ENABLE_PHP_TRUE@	$(INSTALL) -m 755 .libs/geos.so "$(DESTDIR)"/`php-config --extension-dir`
++@ENABLE_PHP_TRUE@	$(INSTALL) -d "$(DESTDIR)"`$(PHP_CONFIG) --extension-dir`
++@ENABLE_PHP_TRUE@	$(INSTALL) -m 755 .libs/geos.so "$(DESTDIR)"`$(PHP_CONFIG) --extension-dir`
+ 
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.

diff --git a/sci-libs/geos/geos-3.5.0-r1.ebuild b/sci-libs/geos/geos-3.5.0-r1.ebuild
new file mode 100644
index 0000000..d433e60
--- /dev/null
+++ b/sci-libs/geos/geos-3.5.0-r1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+USE_PHP="php5-4 php5-5 php5-6"
+PHP_EXT_NAME="geos"
+PHP_EXT_OPTIONAL_USE="php"
+PHP_EXT_SKIP_PHPIZE="yes"
+
+inherit php-ext-source-r2 autotools eutils python-single-r1 python-utils-r1
+
+DESCRIPTION="Geometry engine library for Geographic Information Systems"
+HOMEPAGE="http://trac.osgeo.org/geos/"
+SRC_URI="http://download.osgeo.org/geos/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x64-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris"
+IUSE="doc php python ruby static-libs"
+
+RDEPEND="
+	ruby? ( dev-lang/ruby:* )
+"
+DEPEND="${RDEPEND}
+	doc? ( app-doc/doxygen )
+	php? (
+		dev-lang/swig
+		app-admin/chrpath
+	)
+	python? ( dev-lang/swig ${PYTHON_DEPS} )
+	ruby? ( dev-lang/swig )
+"
+
+PATCHES=(
+	"${FILESDIR}"/3.4.2-solaris-isnan.patch
+	"${FILESDIR}"/${P}-phpconfig-path.patch
+)
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	eautoreconf
+	echo "#!${EPREFIX}/bin/bash" > py-compile
+}
+
+src_configure() {
+	# bug 576436 - does not support PHP-7.0
+	local PHP_CONFIG
+	local php_libdir="${EROOT}usr/$(get_libdir)"
+
+	if use php; then
+		local php_slot
+		for php_slot in $(php_get_slots); do
+			PHP_CONFIG="${php_libdir}/${php_slot}/bin/php-config"
+			[[ -e "${PHP_CONFIG}" ]] && export PHP_CONFIG
+		done
+	fi
+
+	econf \
+		$(use_enable python) \
+		$(use_enable ruby) \
+		$(use_enable php) \
+		$(use_enable static-libs static)
+}
+
+src_compile() {
+	emake
+
+	use doc && emake -C "${S}/doc" doxygen-html
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	use doc && dohtml -r doc/doxygen_docs/html/*
+	use python && python_optimize "${D}$(python_get_sitedir)"/geos/
+
+	if use php; then
+		local php_slot
+		local libpath="lib/extensions/no-debug-non-zts-20131226/geos.so"
+
+		for php_slot in $(php_get_slots); do
+			local lib="${D}/usr/$(get_libdir)/${php_slot}/${libpath}"
+			if [[ -e "${lib}" ]]; then
+				chrpath -d ${lib} || die "Failed cleaning RPATH on '${lib}'"
+			fi
+		done
+	fi
+
+	prune_libtool_files
+}


             reply	other threads:[~2016-03-23  5:44 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-23  5:44 Sam Jorna [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-10-15 12:10 [gentoo-commits] repo/gentoo:master commit in: sci-libs/geos/, sci-libs/geos/files/ Aaron Swenson
2020-04-05 20:30 Andreas Sturmlechner
2025-01-10 21:08 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1458711819.01118e42ad7f531ffa1d85770fc9eb727b9918ea.wraeth@gentoo \
    --to=wraeth@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox